Package ghidra.trace.model.property

# Interface TracePropertyMapSpace<T>

Type Parameters:
  `T` - the type of values

All Superinterfaces:
  `TracePropertyMapOperations<T>`

All Known Implementing Classes:
  `AbstractDBTracePropertyMap.DBTracePropertyMapSpace`

public interface TracePropertyMapSpace<T> extends TracePropertyMapOperations<T>
A property map space for a memory space

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `clear(Lifespan span, Register register)`
  Remove or truncate entries so that the given box (register and lifespan) contains no entries
  `AddressSpace`
  `getAddressSpace()`
  Get the address space for this space
  `default Collection<Map.Entry<TraceAddressSnapRange,T>>`
  `getEntries(TracePlatform platform, Lifespan lifespan, Register register)`
  Get all entries intersecting the given register and lifespan
  `default Collection<Map.Entry<TraceAddressSnapRange,T>>`
  `getEntries(Lifespan lifespan, Register register)`
  Get all entries intersecting the given register and lifespan
  `Trace`
  `getTrace()`
  Get the trace
  `default void`
  `set(TracePlatform platform, Lifespan lifespan, Register register, T value)`
  Set a property on the given register for the given lifespan
  `default void`
  `set(Lifespan lifespan, Register register, T value)`
  Set a property on the given register for the given lifespan

  ### Methods inherited from interface ghidra.trace.model.property.TracePropertyMapOperations

  `clear, get, getAddressSetView, getEntries, getEntry, getValueClass, set, set`

- ## Method Details

  - ### getTrace

    Trace getTrace()
    Get the trace
    Returns:
      the trace

  - ### getAddressSpace

    AddressSpace getAddressSpace()
    Get the address space for this space
    Returns:
      the address space

  - ### set

    default void set(TracePlatform platform, Lifespan lifespan, Register register, T value)
    Set a property on the given register for the given lifespan
    Parameters:
      `platform` - the platform defining the register
      `lifespan` - the range of snaps
      `register` - the register
      `value` - the value to set

  - ### set

    default void set(Lifespan lifespan, Register register, T value)
    Set a property on the given register for the given lifespan
    Parameters:
      `lifespan` - the range of snaps
      `register` - the register
      `value` - the value to set

  - ### getEntries

    default Collection<Map.Entry<TraceAddressSnapRange,T>> getEntries(TracePlatform platform, Lifespan lifespan, Register register)
    Get all entries intersecting the given register and lifespan
    Parameters:
      `platform` - the platform defining the register
      `lifespan` - the range of snaps
      `register` - the register
    Returns:
      the entries

  - ### getEntries

    default Collection<Map.Entry<TraceAddressSnapRange,T>> getEntries(Lifespan lifespan, Register register)
    Get all entries intersecting the given register and lifespan
    Parameters:
      `lifespan` - the range of snaps
      `register` - the register
    Returns:
      the entries

  - ### clear

    default void clear(Lifespan span, Register register)
    Remove or truncate entries so that the given box (register and lifespan) contains no entries
    Parameters:
      `span` - the range of snaps
      `register` - the register